Package org.apache.felix.http.base.internal.logger

## Class JDK14Logger

- java.lang.Object
- - org.apache.felix.http.base.internal.logger.JDK14Logger

    public final class JDK14Logger
    extends Object

Logger based on Java Logging API.

### Constructor Summary

Constructors
`JDK14Logger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLogEnabled​(int level)`
`void` `log​(int level, String message, Throwable exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDK14Logger

    public JDK14Logger()

### Method Detail

#### isLogEnabled

    public boolean isLogEnabled​(int level)

#### log

    public void log​(int level,
                    String message,
                    Throwable exception)